Package org.apache.commons.net.ftp.parser

# Class OS2FTPEntryParser

java.lang.Object
org.apache.commons.net.ftp.FTPFileEntryParserImpl
org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
org.apache.commons.net.ftp.parser.OS2FTPEntryParser

All Implemented Interfaces:
  `Configurable`, `FTPFileEntryParser`

public class OS2FTPEntryParser extends ConfigurableFTPFileEntryParserImpl
Implementation of FTPFileEntryParser and FTPFileListParser for OS2 Systems.

See Also:
  - `FTPFileEntryParser (for usage instructions)`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl

  `_matcher_`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OS2FTPEntryParser()`
  The default constructor for a OS2FTPEntryParser object.
  `OS2FTPEntryParser(FTPClientConfig config)`
  This constructor allows the creation of an OS2FTPEntryParser object with something other than the default configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected FTPClientConfig`
  `getDefaultConfiguration()`
  Defines a default configuration to be used when this class is instantiated without a `FTPClientConfig` parameter being specified.
  `FTPFile`
  `parseFTPEntry(String entry)`
  Parses a line of an OS2 FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance.

  ### Methods inherited from class org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl

  `configure, parseTimestamp`

  ### Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl

  `getGroupCnt, getGroupsAsString, group, matches, setRegex, setRegex`

  ### Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl

  `preParse, readNextEntry`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OS2FTPEntryParser

    public OS2FTPEntryParser()
    The default constructor for a OS2FTPEntryParser object.
    Throws:
      `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen under normal conditions. If it is seen, this is a sign that `REGEX` is not a valid regular expression.

  - ### OS2FTPEntryParser

    public OS2FTPEntryParser(FTPClientConfig config)
    This constructor allows the creation of an OS2FTPEntryParser object with something other than the default configuration.
    Parameters:
      `config` - The `configuration` object used to configure this parser.
    Throws:
      `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen under normal conditions. If it is seen, this is a sign that `REGEX` is not a valid regular expression.
    Since:
      1.4

- ## Method Details

  - ### getDefaultConfiguration

    protected FTPClientConfig getDefaultConfiguration()
    Defines a default configuration to be used when this class is instantiated without a `FTPClientConfig` parameter being specified.
    Specified by:
      `getDefaultConfiguration` in class `ConfigurableFTPFileEntryParserImpl`
    Returns:
      the default configuration for this parser.

  - ### parseFTPEntry

    public FTPFile parseFTPEntry(String entry)
    Parses a line of an OS2 FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance. If the file listing line doesn't describe a file, `null` is returned, otherwise a `FTPFile` instance representing the files in the directory is returned.
    Parameters:
      `entry` - A line of text from the file listing
    Returns:
      An FTPFile instance corresponding to the supplied entry